diff --git a/base/kra/functional/drmtest.py b/base/kra/functional/drmtest.py
index 0a7bbeaaef350a4027e82ab0c74407bc057e3e8f..d951d5f25956d3675a97be7567e3760f7f91f6ab 100755
--- a/base/kra/functional/drmtest.py
+++ b/base/kra/functional/drmtest.py
@@ -34,7 +34,6 @@ See drmtest.readme.txt.
 
 import base64
 import getopt
-import os
 import random
 import shutil
 import string
@@ -84,14 +83,15 @@ def print_key_data(key_data):
         print "Private Data: " + base64.encodestring(key_data.data)
 
 
-def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password):
+def run_test(protocol, hostname, port, client_cert, certdb_dir,
+             certdb_password):
     """ test code execution """
 
     # set up the connection to the DRM, including authentication credentials
     connection = PKIConnection(protocol, hostname, port, 'kra')
     connection.set_authentication_cert(client_cert)
 
-    #create kraclient
+    # create kraclient
     crypto = pki.crypto.NSSCryptoProvider(certdb_dir, certdb_password)
     kraclient = KRAClient(connection, crypto)
     keyclient = kraclient.keys
@@ -207,7 +207,7 @@ def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
         print "KeyNotFoundException thrown - Code:" + exc.code + \
               " Message: " + exc.message
 
-    #Test 13 = getKeyInfo
+    # Test 13 = getKeyInfo
     print "Get key info for existing key"
     key_info = keyclient.get_key_info(key_id)
     print_key_info(key_info)
@@ -217,7 +217,7 @@ def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
     key_info = keyclient.get_active_key_info(client_key_id)
     print_key_info(key_info)
 
-    #Test 15: change the key status
+    # Test 15: change the key status
     print "Change the key status"
     keyclient.modify_key_status(key_id, keyclient.KEY_STATUS_INACTIVE)
     print_key_info(keyclient.get_key_info(key_id))
@@ -239,7 +239,7 @@ def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
         print "ResourceNotFoundException thrown - Code: " + exc.code +\
               "Message: " + exc.message
 
-    #Test 18: Generate a symmetric key with default parameters
+    # Test 18: Generate a symmetric key with default parameters
     client_key_id = "Vek #3" + time.strftime('%c')
     response = keyclient.generate_symmetric_key(client_key_id)
     print_key_request(response.request_info)
@@ -270,7 +270,7 @@ def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
         print "Error: archived and recovered keys do not match"
     print
 
-    #Test 20: Generating asymmetric keys
+    # Test 20: Generating asymmetric keys
     print "Generating asymmetric keys"
     try:
         response = keyclient.generate_asymmetric_key(
@@ -284,7 +284,7 @@ def run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
         print "BadRequestException thrown - Code:" + exc.code +\
               " Message: " + exc.message
 
-    #Test 21: Get key information of the newly generated asymmetric keys
+    # Test 21: Get key information of the newly generated asymmetric keys
     print "Retrieving key information"
     key_info = keyclient.get_key_info(response.request_info.get_key_id())
     print_key_info(key_info)
@@ -296,7 +296,7 @@ def usage():
     print '  -P <protocol>                  KRA server protocol (default: https).'
     print '  -h <hostname>                  KRA server hostname (default: localhost).'
     print '  -p <port>                      KRA server port (default: 8443).'
-    print '  -n <path>                      KRA agent certificate and private key (default: kraagent.pem).'
+    print '  -n <path>                      KRA agent certificate and private key (default: kraagent.pem).'  # nopep8
     print
     print '  --help                         Show this help message.'
 
@@ -310,9 +310,9 @@ def main(argv):
         usage()
         sys.exit(1)
 
-    protocol    = 'https'
-    hostname    = 'localhost'
-    port        = '8443'
+    protocol = 'https'
+    hostname = 'localhost'
+    port = '8443'
     client_cert = 'kraagent.pem'
 
     for o, a in opts:
@@ -340,11 +340,20 @@ def main(argv):
     certdb_dir = tempfile.mkdtemp(prefix='pki-kra-test-')
     print "NSS database dir: %s" % certdb_dir
 
-    certdb_password = ''.join(random.choice(string.ascii_letters + string.digits) for i in range(8))
+    certdb_password = ''.join(
+        random.choice(
+            string.ascii_letters +
+            string.digits) for i in range(8))
     print "NSS database password: %s" % certdb_password
 
     try:
-        run_test(protocol, hostname, port, client_cert, certdb_dir, certdb_password)
+        run_test(
+            protocol,
+            hostname,
+            port,
+            client_cert,
+            certdb_dir,
+            certdb_password)
     finally:
         shutil.rmtree(certdb_dir)
 
diff --git a/base/server/python/pki/server/__init__.py b/base/server/python/pki/server/__init__.py
index 9777d221f9537f38e2466c34a0072d5fd5430aec..3a2cf6bef80fb1171f92c85625d51fe5a723e7e5 100644
--- a/base/server/python/pki/server/__init__.py
+++ b/base/server/python/pki/server/__init__.py
@@ -108,7 +108,7 @@ class PKISubsystem(object):
 
 class PKIInstance(object):
 
-    def __init__(self, name, instanceType=10):
+    def __init__(self, name, instanceType=10):  # nopep8
 
         self.name = name
         self.type = instanceType
@@ -121,7 +121,10 @@ class PKIInstance(object):
         self.conf_dir = os.path.join(self.base_dir, 'conf')
         self.lib_dir = os.path.join(self.base_dir, 'lib')
 
-        self.registry_dir = os.path.join(pki.server.REGISTRY_DIR, 'tomcat', self.name)
+        self.registry_dir = os.path.join(
+            pki.server.REGISTRY_DIR,
+            'tomcat',
+            self.name)
         self.registry_file = os.path.join(self.registry_dir, self.name)
 
         self.service_name = 'pki-tomcatd@%s.service' % self.name
@@ -149,7 +152,8 @@ class PKIInstance(object):
         subprocess.check_call(['systemctl', 'stop', self.service_name])
 
     def is_active(self):
-        rc = subprocess.call(['systemctl', '--quiet', 'is-active', self.service_name])
+        rc = subprocess.call(
+            ['systemctl', '--quiet', 'is-active', self.service_name])
         return rc == 0
 
     def load(self):
@@ -215,7 +219,7 @@ class PKIInstance(object):
 
         # set deployment descriptor ownership and permission
         os.chown(context_xml, self.uid, self.gid)
-        os.chmod(context_xml, 00660)
+        os.chmod(context_xml, 0o0660)
 
     def undeploy(self, webapp_name):
         context_xml = os.path.join(
diff --git a/base/server/python/pki/server/cli/instance.py b/base/server/python/pki/server/cli/instance.py
index becad1447e5eebd45f09afe8ac37e495c38c6276..95a708bee73d8bcb26508ac92dbae7306bff04fa 100644
--- a/base/server/python/pki/server/cli/instance.py
+++ b/base/server/python/pki/server/cli/instance.py
@@ -322,7 +322,9 @@ class InstanceMigrateCLI(pki.cli.CLI):
         instance = pki.server.PKIInstance(instance_name)
         instance.load()
 
-        module.migrate(instance, tomcat_version)  # pylint: disable=no-member,maybe-no-member
+        module.migrate(  # pylint: disable=no-member,maybe-no-member
+            instance,
+            tomcat_version)
 
         self.print_message('%s instance migrated' % instance_name)
 
@@ -369,14 +371,15 @@ class InstanceNuxwdogEnableCLI(pki.cli.CLI):
                 self.print_help()
                 sys.exit(1)
 
-        #module = self.top.find_module('nuxwdog-enable')
+        # module = self.top.find_module('nuxwdog-enable')
         module = pki.server.cli.nuxwdog.NuxwdogEnableCLI()
         module.set_verbose(self.verbose)
 
         instance = pki.server.PKIInstance(instance_name)
         instance.load()
 
-        module.enable_nuxwdog(instance)  # pylint: disable=no-member,maybe-no-member
+        module.enable_nuxwdog(  # pylint: disable=no-member,maybe-no-member
+            instance)
 
         self.print_message('Nuxwdog enabled for instance %s.' % instance_name)
 
@@ -430,6 +433,7 @@ class InstanceNuxwdogDisableCLI(pki.cli.CLI):
         instance = pki.server.PKIInstance(instance_name)
         instance.load()
 
-        module.disable_nuxwdog(instance)  # pylint: disable=no-member,maybe-no-member
+        module.disable_nuxwdog(
+            instance)  # pylint: disable=no-member,maybe-no-member
 
         self.print_message('Nuxwdog disabled for instance %s.' % instance_name)
diff --git a/base/server/python/pki/server/cli/migrate.py b/base/server/python/pki/server/cli/migrate.py
index bb807d8cae248cddd4a9a39ffb4f8d706bcef4f8..be8c5955337d5def5579cf6fad2bf9037adbb901 100644
--- a/base/server/python/pki/server/cli/migrate.py
+++ b/base/server/python/pki/server/cli/migrate.py
@@ -46,7 +46,6 @@ class MigrateCLI(pki.cli.CLI):
         print
 
     def execute(self, argv):
-
         try:
             opts, _ = getopt.getopt(argv, 'i:v', [
                 'tomcat=', 'verbose', 'debug', 'help'])
@@ -91,25 +90,30 @@ class MigrateCLI(pki.cli.CLI):
         self.print_message('System migrated')
 
     def migrate(self, instance, tomcat_version):
-
         self.migrate_instance(instance, tomcat_version)
         self.migrate_subsystems(instance, tomcat_version)
 
     def migrate_instance(self, instance, tomcat_version):
-
         server_xml = os.path.join(instance.conf_dir, 'server.xml')
         self.migrate_server_xml(server_xml, tomcat_version)
 
-        root_context_xml = os.path.join(instance.conf_dir, 'Catalina', 'localhost', 'ROOT.xml')
+        root_context_xml = os.path.join(
+            instance.conf_dir,
+            'Catalina',
+            'localhost',
+            'ROOT.xml')
         self.migrate_context_xml(root_context_xml, tomcat_version)
 
-        pki_context_xml = os.path.join(instance.conf_dir, 'Catalina', 'localhost', 'pki.xml')
+        pki_context_xml = os.path.join(
+            instance.conf_dir,
+            'Catalina',
+            'localhost',
+            'pki.xml')
         self.migrate_context_xml(pki_context_xml, tomcat_version)
 
         self.migrate_tomcat_libraries(instance)
 
     def migrate_server_xml(self, filename, tomcat_version):
-
         if self.verbose:
             print 'Migrating %s' % filename
 
@@ -130,61 +134,60 @@ class MigrateCLI(pki.cli.CLI):
             f.write(etree.tostring(document, pretty_print=True))
 
     def migrate_server_xml_to_tomcat7(self, document):
-
         server = document.getroot()
 
-        jasper_comment = etree.Comment('Initialize Jasper prior to webapps are loaded. Documentation at /docs/jasper-howto.html ')
+        jasper_comment = etree.Comment(
+            'Initialize Jasper prior to webapps are loaded. Documentation '
+            'at /docs/jasper-howto.html ')
 
         jasper_listener = etree.Element('Listener')
-        jasper_listener.set('className', 'org.apache.catalina.core.JasperListener')
+        jasper_listener.set(
+            'className',
+            'org.apache.catalina.core.JasperListener')
 
-        jmx_support_comment = etree.Comment(' JMX Support for the Tomcat server. Documentation at /docs/non-existent.html ')
+        jmx_support_comment = etree.Comment(
+            ' JMX Support for the Tomcat server. Documentation at '
+            '/docs/non-existent.html ')
 
-        excluded_comment1 = etree.Comment(' The following class has been commented out because it ')
-        excluded_comment2 = etree.Comment(' has been EXCLUDED from the Tomcat 7 \'tomcat-lib\' RPM! ')
+        excluded_comment1 = etree.Comment(
+            ' The following class has been commented out because it ')
+        excluded_comment2 = etree.Comment(
+            ' has been EXCLUDED from the Tomcat 7 \'tomcat-lib\' RPM! ')
 
-        server_lifecycle_comment = etree.Comment(' Listener className="org.apache.catalina.mbeans.ServerLifecycleListener" ')
+        server_lifecycle_comment = etree.Comment(
+            ' Listener className="org.apache.catalina.mbeans.ServerLifecycleListener" ')
 
         global_resources_lifecycle_listener = None
 
         children = list(server)
         for child in children:
-
-            if isinstance(child, etree._Comment): # pylint: disable=protected-access
-
+            if isinstance(child, etree._Comment):  # pylint: disable=protected-access
                 if 'org.apache.catalina.security.SecurityListener' in child.text:
                     server.remove(child)
-
                 elif 'Initialize Jasper prior to webapps are loaded.' in child.text:
                     jasper_comment = None
-
                 elif 'JMX Support for the Tomcat server.' in child.text:
                     jmx_support_comment = None
-
                 elif 'The following class has been commented out because it' in child.text:
                     excluded_comment1 = None
-
                 elif 'has been EXCLUDED from the Tomcat 7 \'tomcat-lib\' RPM!' in child.text:
                     excluded_comment2 = None
-
                 elif 'org.apache.catalina.mbeans.ServerLifecycleListener' in child.text:
                     server_lifecycle_comment = None
-
                 if 'Prevent memory leaks due to use of particular java/javax APIs' in child.text:
                     server.remove(child)
 
             elif child.tag == 'Listener':
                 class_name = child.get('className')
 
-                if class_name == 'org.apache.catalina.startup.VersionLoggerListener'\
-                    or class_name == 'org.apache.catalina.security.SecurityListener'\
-                    or class_name == 'org.apache.catalina.mbeans.ServerLifecycleListener'\
-                    or class_name == 'org.apache.catalina.core.JreMemoryLeakPreventionListener'\
-                    or class_name == 'org.apache.catalina.core.ThreadLocalLeakPreventionListener':
-
+                if class_name in {
+                        'org.apache.catalina.startup.VersionLoggerListener',
+                        'org.apache.catalina.security.SecurityListener',
+                        'org.apache.catalina.mbeans.ServerLifecycleListener',
+                        'org.apache.catalina.core.JreMemoryLeakPreventionListener',
+                        'org.apache.catalina.core.ThreadLocalLeakPreventionListener'}:
                     if self.debug:
                         print '* removing %s' % class_name
-
                     server.remove(child)
 
                 elif class_name == 'org.apache.catalina.core.JasperListener':
@@ -231,7 +234,6 @@ class MigrateCLI(pki.cli.CLI):
 
         connectors = server.findall('Service/Connector')
         for connector in connectors:
-
             if connector.get('secure') == 'true':
                 connector.set('protocol', 'HTTP/1.1')
 
@@ -240,78 +242,69 @@ class MigrateCLI(pki.cli.CLI):
 
         valves = server.findall('Service/Engine/Host/Valve')
         for valve in valves:
-
-            if valve.get('className') == 'org.apache.catalina.valves.AccessLogValve':
+            if valve.get(
+                    'className') == 'org.apache.catalina.valves.AccessLogValve':
                 valve.set('prefix', 'localhost_access_log.')
 
     def migrate_server_xml_to_tomcat8(self, document):
-
         server = document.getroot()
 
         version_logger_listener = etree.Element('Listener')
-        version_logger_listener.set('className', 'org.apache.catalina.startup.VersionLoggerListener')
+        version_logger_listener.set(
+            'className',
+            'org.apache.catalina.startup.VersionLoggerListener')
 
         security_listener_comment = etree.Comment(''' Security listener. Documentation at /docs/config/listeners.html
   <Listener className="org.apache.catalina.security.SecurityListener" />
   ''')
 
         jre_memory_leak_prevention_listener = etree.Element('Listener')
-        jre_memory_leak_prevention_listener.set('className', 'org.apache.catalina.core.JreMemoryLeakPreventionListener')
+        jre_memory_leak_prevention_listener.set(
+            'className',
+            'org.apache.catalina.core.JreMemoryLeakPreventionListener')
 
         global_resources_lifecycle_listener = None
 
         thread_local_leak_prevention_listener = etree.Element('Listener')
-        thread_local_leak_prevention_listener.set('className', 'org.apache.catalina.core.ThreadLocalLeakPreventionListener')
+        thread_local_leak_prevention_listener.set(
+            'className',
+            'org.apache.catalina.core.ThreadLocalLeakPreventionListener')
 
-        prevent_comment = etree.Comment(' Prevent memory leaks due to use of particular java/javax APIs')
+        prevent_comment = etree.Comment(
+            ' Prevent memory leaks due to use of particular java/javax APIs')
 
         children = list(server)
         for child in children:
-
-            if isinstance(child, etree._Comment): # pylint: disable=protected-access
-
+            if isinstance(child, etree._Comment):  # pylint: disable=protected-access
                 if 'org.apache.catalina.security.SecurityListener' in child.text:
                     security_listener_comment = None
-
                 elif 'Initialize Jasper prior to webapps are loaded.' in child.text:
                     server.remove(child)
-
                 elif 'JMX Support for the Tomcat server.' in child.text:
                     server.remove(child)
-
                 elif 'The following class has been commented out because it' in child.text:
                     server.remove(child)
-
                 elif 'has been EXCLUDED from the Tomcat 7 \'tomcat-lib\' RPM!' in child.text:
                     server.remove(child)
-
                 elif 'org.apache.catalina.mbeans.ServerLifecycleListener' in child.text:
                     server.remove(child)
-
                 elif 'Prevent memory leaks due to use of particular java/javax APIs' in child.text:
                     prevent_comment = None
 
             elif child.tag == 'Listener':
-
                 class_name = child.get('className')
 
                 if class_name == 'org.apache.catalina.core.JasperListener'\
-                    or class_name == 'org.apache.catalina.mbeans.ServerLifecycleListener':
-
+                        or class_name == 'org.apache.catalina.mbeans.ServerLifecycleListener':
                     if self.debug:
                         print '* removing %s' % class_name
-
                     server.remove(child)
-
                 elif class_name == 'org.apache.catalina.startup.VersionLoggerListener':
                     version_logger_listener = None
-
                 elif class_name == 'org.apache.catalina.core.JreMemoryLeakPreventionListener':
                     jre_memory_leak_prevention_listener = None
-
                 elif class_name == 'org.apache.catalina.mbeans.GlobalResourcesLifecycleListener':
                     global_resources_lifecycle_listener = child
-
                 elif class_name == 'org.apache.catalina.core.ThreadLocalLeakPreventionListener':
                     thread_local_leak_prevention_listener = None
 
@@ -359,7 +352,9 @@ class MigrateCLI(pki.cli.CLI):
         for connector in connectors:
 
             if connector.get('secure') == 'true':
-                connector.set('protocol', 'org.apache.coyote.http11.Http11Protocol')
+                connector.set(
+                    'protocol',
+                    'org.apache.coyote.http11.Http11Protocol')
 
         if self.debug:
             print '* updating AccessLogValve'
@@ -367,20 +362,18 @@ class MigrateCLI(pki.cli.CLI):
         valves = server.findall('Service/Engine/Host/Valve')
         for valve in valves:
 
-            if valve.get('className') == 'org.apache.catalina.valves.AccessLogValve':
+            if valve.get(
+                    'className') == 'org.apache.catalina.valves.AccessLogValve':
                 valve.set('prefix', 'localhost_access_log')
 
     def migrate_subsystems(self, instance, tomcat_version):
-
         for subsystem in instance.subsystems:
             self.migrate_subsystem(subsystem, tomcat_version)
 
     def migrate_subsystem(self, subsystem, tomcat_version):
-
         self.migrate_context_xml(subsystem.context_xml, tomcat_version)
 
     def migrate_context_xml(self, filename, tomcat_version):
-
         if not os.path.exists(filename):
             return
 
@@ -404,7 +397,6 @@ class MigrateCLI(pki.cli.CLI):
             f.write(etree.tostring(document, pretty_print=True))
 
     def migrate_context_xml_to_tomcat7(self, document):
-
         context = document.getroot()
         context.set('allowLinking', 'true')
 
@@ -418,9 +410,8 @@ class MigrateCLI(pki.cli.CLI):
             context.remove(resources)
 
     def migrate_context_xml_to_tomcat8(self, document):
-
         context = document.getroot()
-        if context.attrib.has_key('allowLinking'):
+        if 'allowLinking' in context.attrib:
             context.attrib.pop('allowLinking')
 
         resources = context.find('Resources')
@@ -436,7 +427,6 @@ class MigrateCLI(pki.cli.CLI):
         resources.set('allowLinking', 'true')
 
     def migrate_tomcat_libraries(self, instance):
-
         # remove old links
         for filename in os.listdir(instance.lib_dir):
 
diff --git a/base/server/python/pki/server/cli/subsystem.py b/base/server/python/pki/server/cli/subsystem.py
index 43eb564ee462ce0bad5646c151bcf8aa81d0724b..a63eb86d75230ea3e330789d315e68809a499d9c 100644
--- a/base/server/python/pki/server/cli/subsystem.py
+++ b/base/server/python/pki/server/cli/subsystem.py
@@ -248,7 +248,9 @@ class SubsystemEnableCLI(pki.cli.CLI):
 class SubsystemDisableCLI(pki.cli.CLI):
 
     def __init__(self):
-        super(SubsystemDisableCLI, self).__init__('disable', 'Disable subsystem')
+        super(SubsystemDisableCLI, self).__init__(
+            'disable',
+            'Disable subsystem')
 
     def usage(self):
         print 'Usage: pki-server subsystem-disable [OPTIONS] <subsystem ID>'
diff --git a/base/server/python/pki/server/deployment/pkiconfig.py b/base/server/python/pki/server/deployment/pkiconfig.py
index 5ffed768ba5f2646f243c1d2750d9699b541cc8a..8bca657ded2c224b08717b587a56b8cfd20605ce 100644
--- a/base/server/python/pki/server/deployment/pkiconfig.py
+++ b/base/server/python/pki/server/deployment/pkiconfig.py
@@ -20,14 +20,14 @@
 #
 
 # PKI Deployment Constants
-PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS = 00755
-PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS = 00770
-PKI_DEPLOYMENT_DEFAULT_EXE_PERMISSIONS = 00770
-PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS = 00660
-PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS = 00600
-PKI_DEPLOYMENT_DEFAULT_SGID_DIR_PERMISSIONS = 02770
-PKI_DEPLOYMENT_DEFAULT_SYMLINK_PERMISSIONS = 00777
-PKI_DEPLOYMENT_DEFAULT_UMASK = 00002
+PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS = 0o0755
+PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS = 0o0770
+PKI_DEPLOYMENT_DEFAULT_EXE_PERMISSIONS = 0o0770
+PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS = 0o0660
+PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS = 0o0600
+PKI_DEPLOYMENT_DEFAULT_SGID_DIR_PERMISSIONS = 0o2770
+PKI_DEPLOYMENT_DEFAULT_SYMLINK_PERMISSIONS = 0o0777
+PKI_DEPLOYMENT_DEFAULT_UMASK = 0o0002
 
 PKI_DEPLOYMENT_DEFAULT_COMMENT = "'Certificate System'"
 PKI_DEPLOYMENT_DEFAULT_GID = 17
